Name:           perl-ORLite-Migrate
Version:        1.07
Release:        2%{?dist}
Summary:        Light weight SQLite-specific schema migration
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ORLite-Migrate/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/ORLite-Migrate-%{version}.tar.gz
Patch0:         perl-ORLite-Migrate-req.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
# File::Spec >= 3.2701, we have 3.30, rpm can't process 3.2701 < 3.30
BuildRequires:	perl-devel >= 4:5.10.0-70
BuildRequires:  perl(DBD::SQLite) >= 1.21
BuildRequires:  perl(DBI) >= 1.58
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(ORLite) >= 1.20
BuildRequires:  perl(Params::Util) >= 0.37
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(File::Which)
# The following three requires are not detected automatically:
Requires:       perl(File::pushd)
Requires:       perl(IPC::Run3)
Requires:       perl(Probe::Perl)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
THIS CODE IS EXPERIMENTAL AND SUBJECT TO CHANGE WITHOUT NOTICE
SQLite is a light weight single file SQL database that provides an excellent platform for embedded
storage of structured data. ORLite is a light weight single class Object-Relational Mapper (ORM) 
system specifically designed for (and limited to only) work with SQLite. ORLite::Migrate is a light 
weight single class Database Schema Migration enhancement for ORLite.

%prep
%setup -q -n ORLite-Migrate-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug  9 2010 Marcela Mašláňová <mmaslano@redhat.com> - 1.07-2
- fix requirement of this update

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.03-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Stepan Kasal <skasal@redhat.com> 0.03-3
- clean up the requires a bit

* Wed Jun 10 2009 Stepan Kasal <skasal@redhat.com> 0.03-2
- work around a problem with crazy perl versioning

* Wed Jun  3 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.03-1
- update

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 12 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.01-1
- Specfile autogenerated by cpanspec 1.77.
